Name:		libaccounts-glib
Version:	1.16
Release:	1%{?dist}
Group:		System Environment/Libraries
Summary:	Accounts framework for Linux and POSIX based platforms
License:	LGPLv2
URL:		https://code.google.com/p/accounts-sso/
Source0:	https://accounts-sso.googlecode.com/files/%{name}-%{version}.tar.gz
BuildRequires:	dbus-glib-devel
BuildRequires:	libxml2-devel
BuildRequires:	sqlite-devel
BuildRequires:	check-devel
BuildRequires:	gobject-introspection-devel
# no needed for final release tarball
BuildRequires:	libtool
BuildRequires:	gtk-doc

%description
%{summary}.

%package devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package docs
Summary:	Documentation for %{name}
BuildArch:	noarch

%description docs
The %{name}-docs package contains documentation for %{name}.

%prep
%setup -q

%build
gtkdocize
autoreconf -i --force

%configure --disable-static \
	--disable-gtk-doc

sed -i 's/-Werror//g' libaccounts-glib/Makefile
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}

rm -f %{buildroot}%{_libdir}/*.la

# add docs manuall to %%doc instead
rm -rf %{buildroot}%{_prefix}/doc/reference

# remove tests for now
rm -f %{buildroot}%{_bindir}/*test*
rm -rf %{buildroot}%{_datadir}/libaccounts-glib0-test

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING AUTHORS INSTALL ChangeLog README NEWS
%{_bindir}/ag-backup
%{_bindir}/ag-tool
%{_mandir}/man1/ag-backup.1.gz
%{_mandir}/man1/ag-tool.1.gz
%dir %{_datadir}/backup-framework
%dir %{_datadir}/backup-framework/applications
%{_datadir}/backup-framework/applications/*.conf
%{_libdir}/%{name}.so.*
%{_libdir}/girepository-1.0/Accounts-1.0.typelib
%dir %{_datadir}/xml/
%dir %{_datadir}/xml/accounts/
%dir %{_datadir}/xml/accounts/schema/
%dir %{_datadir}/xml/accounts/schema/dtd
%{_datadir}/xml/accounts/schema/dtd/accounts-*.dtd

%files devel
%defattr(-,root,root,-)
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/%{name}
%{_datadir}/gir-1.0/Accounts-1.0.gir
%{_libdir}/libaccounts-glib
%{_datadir}/dbus-1/interfaces/*.xml
%{_datadir}/libaccounts-glib
%{_datadir}/vala/vapi/libaccounts-glib.deps
%{_datadir}/vala/vapi/libaccounts-glib.vapi

%files docs
%doc %{_datadir}/gtk-doc/html/libaccounts-glib/

%changelog
* Wed Feb 26 2014 Daniel Vrátil <dvratil@redhat.com> - 1.16-1
- Latest upstream release

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Feb 25 2013 Jaroslav Reznik <jreznik@redhat.com> - 1.8-1
- Latest upstream release
- Add GObject introspection
- Fix URLs and description

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.45-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.45-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.45-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.45-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Aug 06 2010 Chen Lei <supercyper@163.com> - 0.45-1
- New upstream release

* Fri Jul 23 2010 Chen Lei <supercyper@163.com> - 0.39-2
- List files more specfic in spec
- Add a permanent link for meego SRPM

* Thu Jul 08 2010 Chen Lei <supercyper@163.com> - 0.39-1
- Initial packaging for Fedora

* Mon Jun 14 2010 Bernd Wachter <ext-bernd.wachter@nokia.com> - 0.39
- Update to latest version
